<?php 
/**
 * @package 	WordPress
 * @subpackage 	Lens Photography
 * @version		1.0.3
 * 
 * Theme Admin Settings
 * Created by CMSMasters
 * 
 */


/* General Settings */
function lens_photography_theme_options_general_fields($options, $tab) {
	$new_options = array();
	
	if ($tab == 'general') {
		foreach ($options as $option) {
			if ($option['id'] == 'lens-photography_logo_url_retina') {
				$new_options[] = $option;
				
				$new_options[] = array( 
					'section' => 'general_section', 
					'id' => 'lens-photography' . '_logo_url_overlaps', 
					'title' => esc_html__('Logo Image For Overlaps', 'lens-photography'), 
					'desc' => esc_html__('Choose your website logo image for overlaps in header default.', 'lens-photography'), 
					'type' => 'upload', 
					'std' => '|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_overlaps.png', 
					'frame' => 'select', 
					'multiple' => false 
				);
				
				$new_options[] = array( 
					'section' => 'general_section', 
					'id' => 'lens-photography' . '_logo_url_retina_overlaps', 
					'title' => esc_html__('Retina Logo Image For Overlaps', 'lens-photography'), 
					'desc' => esc_html__('Choose logo image for retina displays and overlaps in header default. Logo for Retina displays should be twice the size of the default one.', 'lens-photography'), 
					'type' => 'upload', 
					'std' => '|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_overlaps_retina.png', 
					'frame' => 'select', 
					'multiple' => false 
				);
			} else {
				$new_options[] = $option;
			}
		}
		
		$options = $new_options;
	} elseif ($tab == 'header') {
		$new_options[] = array( 
			'section' => 'header_section', 
			'id' => 'lens-photography_header_styles', 
			'title' => esc_html__('Header Styles', 'lens-photography'), 
			'desc' => '', 
			'type' => 'radio', 
			'std' => 'default', 
			'choices' => array( 
				esc_html__('Default Style', 'lens-photography') . '|default', 
				esc_html__('Side Style', 'lens-photography') . '|side' 
			) 
		);
		
		
		foreach ($options as $option) {
			if ($option['id'] == 'lens-photography_header_styles') {
				// remove this option
			} else {
				$new_options[] = $option;
			}
		}
		
		$options = $new_options;
	}
	
	
	return $options;
}

add_filter('cmsmasters_options_general_fields_filter', 'lens_photography_theme_options_general_fields', 10, 2);



/* Color Settings */
function lens_photography_theme_options_color_fields($options, $tab) {
	$new_options = array();
	
	
	if ($tab == 'header') {
		foreach ($options as $option) {
			if (
				$option['id'] == 'lens-photography' . '_' . $tab . '_bot_color' || 
				$option['id'] == 'lens-photography' . '_' . $tab . '_bot_link' || 
				$option['id'] == 'lens-photography' . '_' . $tab . '_bot_hover' || 
				$option['id'] == 'lens-photography' . '_' . $tab . '_bot_bg' || 
				$option['id'] == 'lens-photography' . '_' . $tab . '_bot_bg_scroll' || 
				$option['id'] == 'lens-photography' . '_' . $tab . '_bot_border' 
			) {
				// remove this options
			} elseif ($option['id'] == 'lens-photography' . '_' . $tab . '_mid_color') {
				$option['title'] = esc_html__('Header Text Font Color', 'lens-photography');
				
				$new_options[] = $option;
			} elseif ($option['id'] == 'lens-photography' . '_' . $tab . '_mid_link') {
				$option['title'] = esc_html__('Header Links Font Color', 'lens-photography');
				
				$new_options[] = $option;
			} elseif ($option['id'] == 'lens-photography' . '_' . $tab . '_mid_hover') {
				$option['title'] = esc_html__('Header Links Font Color on Hover', 'lens-photography');
				
				$new_options[] = $option;
			} elseif ($option['id'] == 'lens-photography' . '_' . $tab . '_mid_bg') {
				$option['title'] = esc_html__('Header Background Color', 'lens-photography');
				
				$new_options[] = $option;
			} elseif ($option['id'] == 'lens-photography' . '_' . $tab . '_mid_bg_scroll') {
			} elseif ($option['id'] == 'lens-photography' . '_' . $tab . '_mid_border') {
				$option['title'] = esc_html__('Header Border Color', 'lens-photography');
				
				$new_options[] = $option;
			} else {
				$new_options[] = $option;
			}
		}
		
		$options = $new_options;
	} elseif ($tab == 'navigation') {
		foreach ($options as $option) {
			if (
				$option['id'] == 'lens-photography' . '_' . $tab . '_title_link_subtitle' || 
				$option['id'] == 'lens-photography' . '_' . $tab . '_dropdown_text' || 
				$option['id'] == 'lens-photography' . '_' . $tab . '_dropdown_link_subtitle' 
			) {
				// remove this options
			} else {
				$new_options[] = $option;
			}
		}
		
		$options = $new_options;
	}
	
	
	return $options;
}

add_filter('cmsmasters_options_color_fields_filter', 'lens_photography_theme_options_color_fields', 10, 2);



/* Single Settings */
function lens_photography_theme_options_single_fields($options, $tab) {
	
	$options_new = array();

	if ($tab == 'post') {
		foreach ($options as $option) {
			if ($option['id'] == 'lens-photography' . '_blog_post_nav_box') {
				$options_new[] = array( 
					'section' => 'post_section', 
					'id' => 'lens-photography' . '_blog_post_view', 
					'title' => esc_html__('Post Views', 'lens-photography'), 
					'desc' => esc_html__('show', 'lens-photography'), 
					'type' => 'checkbox', 
					'std' => 1 
				);
				
				
				$options_new[] = $option;
			} else {
				$options_new[] = $option;
			}
		}
	} else if ($tab == 'project') {
		foreach ($options as $option) {
			if ($option['id'] == 'lens-photography' . '_portfolio_project_share_box') {
				$options_new[] = array( 
					'section' => 'project_section', 
					'id' => 'lens-photography' . '_portfolio_project_view', 
					'title' => esc_html__('Project Views', 'lens-photography'), 
					'desc' => esc_html__('show', 'lens-photography'), 
					'type' => 'checkbox', 
					'std' => 1 
				);
				
				
				$options_new[] = $option;
			} else {
				$options_new[] = $option;
			}
		}
	} else {
		$options_new = $options;
	}
	
	
	return $options_new;
}

add_filter('cmsmasters_options_single_fields_filter', 'lens_photography_theme_options_single_fields', 10, 2);

