<?php
/**
 * @package 	WordPress
 * @subpackage 	Lens Photography
 * @version 	1.0.0
 * 
 * Theme Content Composer Functions
 * Created by CMSMasters
 * 
 */


/* Register JS Scripts */
function lens_photography_theme_register_c_c_scripts() {
	global $pagenow;
	
	
	if ( 
		$pagenow == 'post-new.php' || 
		($pagenow == 'post.php' && isset($_GET['post']) && get_post_type($_GET['post']) != 'attachment') 
	) {
		wp_enqueue_script('lens-photography-composer-shortcodes-extend', get_template_directory_uri() . '/theme-framework/theme-style' . CMSMASTERS_THEME_STYLE . '/cmsmasters-c-c/js/cmsmasters-c-c-theme-extend.js', array('cmsmasters_composer_shortcodes_js'), '1.0.0', true);
		
		wp_localize_script('lens-photography-composer-shortcodes-extend', 'cmsmasters_theme_shortcodes', array( 
			/* Blog */
			'choice_view' => 					esc_attr__('Views', 'lens-photography'), 
			/* Gallery */
			'gallery_field_img_info_title' => 	esc_attr__('Image Info', 'lens-photography') 
		));
	}
}

add_action('admin_enqueue_scripts', 'lens_photography_theme_register_c_c_scripts');


// Gallery Shortcode Attributes Filter
add_filter('cmsmasters_gallery_atts_filter', 'cmsmasters_gallery_atts');

function cmsmasters_gallery_atts() {
	return array( 
		'shortcode_id' => 			'', 
		'layout' => 				'', 
		'gallery_type' => 			'grid', 
		'gallery_count' => 			'', 
		'image_info' => 			'false', 
		'gallery_more_text' => 		'', 
		'gallery_padding' => 		'10', 
		'image_size_slider' => 		'', 
		'image_size_gallery' => 	'', 
		'hover_pause' => 			'5', 
		'hover_active' => 			'1', 
		'hover_pause_on_hover' => 	'true', 
		'slider_effect' => 			'', 
		'slider_autoplay' => 		'', 
		'slider_slideshow_speed' => '7', 
		'slider_animation_speed' => '600', 
		'slider_pause_on_hover' => 	'', 
		'slider_rewind' => 			'', 
		'slider_rewind_speed' => 	'1000', 
		'slider_nav_control' => 	'', 
		'slider_nav_arrow' => 		'', 
		'gallery_columns' => 		'', 
		'gallery_links' => 			'', 
		'animation' => 				'', 
		'animation_delay' => 		'', 
		'classes' => 				'' 
	);
}

