<?php 
/**
 * @package 	WordPress
 * @subpackage 	Lens Photography
 * @version		1.0.5
 * 
 * Theme Settings Defaults
 * Created by CMSMasters
 * 
 */


/* Theme Settings General Default Values */
if (!function_exists('lens_photography_settings_general_defaults')) {

function lens_photography_settings_general_defaults($id = false) {
	$settings = array( 
		'general' => array( 
			'lens-photography' . '_theme_layout' => 		'liquid', 
			'lens-photography' . '_logo_type' => 			'image', 
			'lens-photography' . '_logo_url' => 			'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo.png', 
			'lens-photography' . '_logo_url_retina' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_retina.png', 
			'lens-photography' . '_logo_title' => 			get_bloginfo('name') ? get_bloginfo('name') : 'Lens Photography', 
			'lens-photography' . '_logo_subtitle' => 		'', 
			'lens-photography' . '_logo_custom_color' => 	0, 
			'lens-photography' . '_logo_title_color' => 	'', 
			'lens-photography' . '_logo_subtitle_color' => 	'' 
		), 
		'bg' => array( 
			'lens-photography' . '_bg_col' => 			'#ffffff', 
			'lens-photography' . '_bg_img_enable' => 	0, 
			'lens-photography' . '_bg_img' => 			'', 
			'lens-photography' . '_bg_rep' => 			'no-repeat', 
			'lens-photography' . '_bg_pos' => 			'top center', 
			'lens-photography' . '_bg_att' => 			'scroll', 
			'lens-photography' . '_bg_size' => 			'cover' 
		), 
		'header' => array( 
			'lens-photography' . '_fixed_header' => 				1, 
			'lens-photography' . '_header_overlaps' => 				1, 
			'lens-photography' . '_header_top_line' => 				0, 
			'lens-photography' . '_header_top_height' => 			'35', 
			'lens-photography' . '_header_top_line_short_info' => 	'', 
			'lens-photography' . '_header_top_line_add_cont' => 	'social', 
			'lens-photography' . '_header_styles' => 				'default', 
			'lens-photography' . '_header_mid_height' => 			'76', 
			'lens-photography' . '_header_bot_height' => 			'50', 
			'lens-photography' . '_header_search' => 				0, 
			'lens-photography' . '_header_add_cont' => 				'social', 
			'lens-photography' . '_header_add_cont_cust_html' => 	'' 
		), 
		'content' => array( 
			'lens-photography' . '_layout' => 					'r_sidebar', 
			'lens-photography' . '_archives_layout' => 			'r_sidebar', 
			'lens-photography' . '_search_layout' => 			'r_sidebar', 
			'lens-photography' . '_other_layout' => 			'r_sidebar', 
			'lens-photography' . '_heading_alignment' => 		'center', 
			'lens-photography' . '_heading_scheme' => 			'default', 
			'lens-photography' . '_heading_bg_image_enable' => 	1, 
			'lens-photography' . '_heading_bg_image' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/headline.jpg', 
			'lens-photography' . '_heading_bg_repeat' => 		'no-repeat', 
			'lens-photography' . '_heading_bg_attachment' => 	'scroll', 
			'lens-photography' . '_heading_bg_size' => 			'cover', 
			'lens-photography' . '_heading_bg_color' => 		'', 
			'lens-photography' . '_heading_height' => 			'440', 
			'lens-photography' . '_breadcrumbs' => 				1, 
			'lens-photography' . '_bottom_scheme' => 			'default', 
			'lens-photography' . '_bottom_sidebar' => 			0, 
			'lens-photography' . '_bottom_sidebar_layout' => 	'14141414' 
		), 
		'footer' => array( 
			'lens-photography' . '_footer_scheme' => 				'footer', 
			'lens-photography' . '_footer_type' => 					'default', 
			'lens-photography' . '_footer_additional_content' => 	'nav', 
			'lens-photography' . '_footer_logo' => 					0, 
			'lens-photography' . '_footer_logo_url' => 				'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer.png', 
			'lens-photography' . '_footer_logo_url_retina' => 		'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/logo_footer_retina.png', 
			'lens-photography' . '_footer_nav' => 					1, 
			'lens-photography' . '_footer_social' => 				1, 
			'lens-photography' . '_footer_html' => 					'', 
			'lens-photography' . '_footer_copyright' => 			'Lens Photography' . ' &copy; ' . date('Y') . ' / ' . esc_html__('All Rights Reserved', 'lens-photography') 
		) 
	);
	
	
	$settings = apply_filters('lens_photography_settings_general_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



/* Theme Settings Fonts Default Values */
if (!function_exists('lens_photography_settings_font_defaults')) {

function lens_photography_settings_font_defaults($id = false) {
	$settings = array( 
		'content' => array( 
			'lens-photography' . '_content_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,400italic,700,700italic', 
				'font_size' => 			'15', 
				'line_height' => 		'24', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			) 
		), 
		'link' => array( 
			'lens-photography' . '_link_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,400italic,700,700italic', 
				'font_size' => 			'15', 
				'line_height' => 		'24', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			), 
			'lens-photography' . '_link_hover_decoration' => 	'none' 
		), 
		'nav' => array( 
			'lens-photography' . '_nav_title_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,400italic,700,700italic', 
				'font_size' => 			'15', 
				'line_height' => 		'20', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'lens-photography' . '_nav_dropdown_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,400italic,700,700italic', 
				'font_size' => 			'14', 
				'line_height' => 		'20', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			) 
		), 
		'heading' => array( 
			'lens-photography' . '_h1_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Unica+One', 
				'font_size' => 			'60', 
				'line_height' => 		'70', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			), 
			'lens-photography' . '_h2_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Unica+One', 
				'font_size' => 			'32', 
				'line_height' => 		'38', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			), 
			'lens-photography' . '_h3_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Unica+One', 
				'font_size' => 			'22', 
				'line_height' => 		'28', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			), 
			'lens-photography' . '_h4_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Unica+One', 
				'font_size' => 			'20', 
				'line_height' => 		'26', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			), 
			'lens-photography' . '_h5_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Unica+One', 
				'font_size' => 			'18', 
				'line_height' => 		'24', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase', 
				'text_decoration' => 	'none' 
			), 
			'lens-photography' . '_h6_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Averia+Serif+Libre:300,300italic,400,400italic,700,700italic', 
				'font_size' => 			'16', 
				'line_height' => 		'22', 
				'font_weight' => 		'300', 
				'font_style' => 		'italic', 
				'text_transform' => 	'none', 
				'text_decoration' => 	'none' 
			) 
		), 
		'other' => array( 
			'lens-photography' . '_button_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,400italic,700,700italic', 
				'font_size' => 			'14', 
				'line_height' => 		'40', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'uppercase' 
			), 
			'lens-photography' . '_small_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,400italic,700,700italic', 
				'font_size' => 			'13', 
				'line_height' => 		'24', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal', 
				'text_transform' => 	'none' 
			), 
			'lens-photography' . '_input_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Karla:400,400italic,700,700italic', 
				'font_size' => 			'15', 
				'line_height' => 		'42', 
				'font_weight' => 		'normal', 
				'font_style' => 		'normal' 
			), 
			'lens-photography' . '_quote_font' => array( 
				'system_font' => 		"Arial, Helvetica, 'Nimbus Sans L', sans-serif", 
				'google_font' => 		'Averia+Serif+Libre:300,300italic,400,400italic,700,700italic', 
				'font_size' => 			'22', 
				'line_height' => 		'32', 
				'font_weight' => 		'300', 
				'font_style' => 		'italic' 
				) 
		), 
		'google' => array( 
			'lens-photography' . '_google_web_fonts' => array( 
				'Unica+One|Unica One', 
				'Averia+Serif+Libre:300,300italic,400,400italic,700,700italic|Averia Serif Libre', 
				'Karla:400,400italic,700,700italic|Karla', 
				'Roboto:300,300italic,400,400italic,500,500italic,700,700italic|Roboto', 
				'Roboto+Condensed:400,400italic,700,700italic|Roboto Condensed', 
				'Open+Sans:300,300italic,400,400italic,700,700italic|Open Sans', 
				'Open+Sans+Condensed:300,300italic,700|Open Sans Condensed', 
				'Droid+Sans:400,700|Droid Sans', 
				'Droid+Serif:400,400italic,700,700italic|Droid Serif', 
				'PT+Sans:400,400italic,700,700italic|PT Sans', 
				'PT+Sans+Caption:400,700|PT Sans Caption', 
				'PT+Sans+Narrow:400,700|PT Sans Narrow', 
				'PT+Serif:400,400italic,700,700italic|PT Serif', 
				'Ubuntu:400,400italic,700,700italic|Ubuntu', 
				'Ubuntu+Condensed|Ubuntu Condensed', 
				'Headland+One|Headland One', 
				'Source+Sans+Pro:300,300italic,400,400italic,700,700italic|Source Sans Pro', 
				'Lato:400,400italic,700,700italic|Lato', 
				'Cuprum:400,400italic,700,700italic|Cuprum', 
				'Oswald:300,400,700|Oswald', 
				'Yanone+Kaffeesatz:300,400,700|Yanone Kaffeesatz', 
				'Lobster|Lobster', 
				'Lobster+Two:400,400italic,700,700italic|Lobster Two', 
				'Questrial|Questrial', 
				'Raleway:300,400,500,600,700|Raleway', 
				'Dosis:300,400,500,700|Dosis', 
				'Cutive+Mono|Cutive Mono', 
				'Quicksand:300,400,700|Quicksand', 
				'Montserrat:400,700|Montserrat', 
				'Cookie|Cookie' 
			) 
		) 
	);
	
	
	$settings = apply_filters('lens_photography_settings_font_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// WP Color Picker Palettes
if (!function_exists('cmsmasters_color_picker_palettes')) {

function cmsmasters_color_picker_palettes() {
	$palettes = array( 
		'#303030', 
		'#363636', 
		'#a8a8a8', 
		'#272727', 
		'#ffffff', 
		'#f4f4f4', 
		'#e6e6e6' 
	);
	
	
	return apply_filters('cmsmasters_color_picker_palettes_filter', $palettes);
}

}



// Theme Settings Color Schemes Default Colors
if (!function_exists('lens_photography_color_schemes_defaults')) {

function lens_photography_color_schemes_defaults($id = false) {
	$settings = array( 
		'default' => array( // content default color scheme
			'color' => 		'#303030', 
			'link' => 		'#363636', 
			'hover' => 		'#a8a8a8', 
			'heading' => 	'#272727', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'#f4f4f4', 
			'border' => 	'#e6e6e6' 
		), 
		'header' => array( // Header color scheme
			'mid_color' => 		'#ffffff', 
			'mid_link' => 		'#ffffff', 
			'mid_hover' => 		'#ffffff', 
			'mid_bg' => 		'rgba(255,255,255,0)', 
			'mid_bg_scroll' => 	'#ffffff', 
			'mid_border' => 	'#e1e1e1', 
			'bot_color' => 		'#ffffff', 
			'bot_link' => 		'#ffffff', 
			'bot_hover' => 		'#ffffff', 
			'bot_bg' => 		'rgba(255,255,255,0)', 
			'bot_bg_scroll' => 	'#ffffff', 
			'bot_border' => 	'#e1e1e1' 
		), 
		'navigation' => array( // Navigation color scheme
			'title_link' => 			'#ffffff', 
			'title_link_hover' => 		'#ffffff', 
			'title_link_current' => 	'#ffffff', 
			'title_link_subtitle' => 	'rgba(255,255,255,0.6)', 
			'title_link_bg' => 			'rgba(255,255,255,0)', 
			'title_link_bg_hover' => 	'rgba(255,255,255,0)', 
			'title_link_bg_current' => 	'rgba(255,255,255,0)', 
			'title_link_border' => 		'rgba(255,255,255,0)', 
			'dropdown_text' => 			'#272727', 
			'dropdown_bg' => 			'#ffffff', 
			'dropdown_border' => 		'#e1e1e1', 
			'dropdown_link' => 			'#272727', 
			'dropdown_link_hover' => 	'#b6b6b6', 
			'dropdown_link_subtitle' => 'rgba(39,39,39,0.5)', 
			'dropdown_link_highlight' => 'rgba(255,255,255,0)', 
			'dropdown_link_border' => 	'rgba(255,255,255,0)' 
		), 
		'header_top' => array( // Header Top color scheme
			'color' => 					'#ffffff', 
			'link' => 					'#ffffff', 
			'hover' => 					'#ffffff', 
			'bg' => 					'rgba(255,255,255,0)', 
			'border' => 				'rgba(255,255,255,0.1)', 
			'title_link' => 			'#ffffff', 
			'title_link_hover' => 		'#ffffff', 
			'title_link_bg' => 			'rgba(255,255,255,0)', 
			'title_link_bg_hover' => 	'rgba(255,255,255,0)', 
			'title_link_border' => 		'rgba(255,255,255,0)', 
			'dropdown_bg' => 			'#ffffff', 
			'dropdown_border' => 		'rgba(255,255,255,0)', 
			'dropdown_link' => 			'#272727', 
			'dropdown_link_hover' => 	'#b6b6b6', 
			'dropdown_link_highlight' => 'rgba(255,255,255,0)', 
			'dropdown_link_border' => 	'rgba(255,255,255,0)' 
		), 
		'footer' => array( // Footer color scheme
			'color' => 		'#6d6d6d', 
			'link' => 		'#6d6d6d', 
			'hover' => 		'#b6b6b6', 
			'heading' => 	'#272727', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'#ffffff', 
			'border' => 	'#e6e6e6' 
		), 
		'first' => array( // custom color scheme 1
			'color' => 		'#595959', 
			'link' => 		'#ff6c2f', 
			'hover' => 		'#3b3b3b', 
			'heading' => 	'#292929', 
			'bg' => 		'#ffffff', 
			'alternate' => 	'#ffffff', 
			'border' => 	'#e4e4e4' 
		), 
		'second' => array( // custom color scheme 2
			'color' => 		'#878787', 
			'link' => 		'#ff6c2f', 
			'hover' => 		'#3b3b3b', 
			'heading' => 	'#292929', 
			'bg' => 		'#fbfbfb', 
			'alternate' => 	'#ffffff', 
			'border' => 	'#e4e4e4' 
		), 
		'third' => array( // custom color scheme 3
			'color' => 		'#878787', 
			'link' => 		'#ff6c2f', 
			'hover' => 		'#3b3b3b', 
			'heading' => 	'#292929', 
			'bg' => 		'#fbfbfb', 
			'alternate' => 	'#ffffff', 
			'border' => 	'#e4e4e4' 
		) 
	);
	
	
	$settings = apply_filters('lens_photography_color_schemes_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Elements Default Values
if (!function_exists('lens_photography_settings_element_defaults')) {

function lens_photography_settings_element_defaults($id = false) {
	$settings = array( 
		'sidebar' => array( 
			'lens-photography' . '_sidebar' => 	'' 
		), 
		'icon' => array( 
			'lens-photography' . '_social_icons' => array( 
				'cmsmasters-icon-facebook-1|#|' . esc_html__('Facebook', 'lens-photography') . '|true|#d7d7d7|#b6b6b6', 
				'cmsmasters-icon-gplus-1|#|' . esc_html__('Google+', 'lens-photography') . '|true|#d7d7d7|#b6b6b6', 
				'cmsmasters-icon-instagram|#|' . esc_html__('Instagram', 'lens-photography') . '|true|#d7d7d7|#b6b6b6', 
				'cmsmasters-icon-twitter|#|' . esc_html__('Twitter', 'lens-photography') . '|true|#d7d7d7|#b6b6b6', 
				'cmsmasters-icon-youtube-play|#|' . esc_html__('YouTube', 'lens-photography') . '|true|#d7d7d7|#b6b6b6' 
			) 
		), 
		'lightbox' => array( 
			'lens-photography' . '_ilightbox_skin' => 					'dark', 
			'lens-photography' . '_ilightbox_path' => 					'vertical', 
			'lens-photography' . '_ilightbox_infinite' => 				0, 
			'lens-photography' . '_ilightbox_aspect_ratio' => 			1, 
			'lens-photography' . '_ilightbox_mobile_optimizer' => 		1, 
			'lens-photography' . '_ilightbox_max_scale' => 				1, 
			'lens-photography' . '_ilightbox_min_scale' => 				0.2, 
			'lens-photography' . '_ilightbox_inner_toolbar' => 			0, 
			'lens-photography' . '_ilightbox_smart_recognition' => 		0, 
			'lens-photography' . '_ilightbox_fullscreen_one_slide' => 	0, 
			'lens-photography' . '_ilightbox_fullscreen_viewport' => 	'center', 
			'lens-photography' . '_ilightbox_controls_toolbar' => 		1, 
			'lens-photography' . '_ilightbox_controls_arrows' => 		0, 
			'lens-photography' . '_ilightbox_controls_fullscreen' => 	1, 
			'lens-photography' . '_ilightbox_controls_thumbnail' => 	1, 
			'lens-photography' . '_ilightbox_controls_keyboard' => 		1, 
			'lens-photography' . '_ilightbox_controls_mousewheel' => 	1, 
			'lens-photography' . '_ilightbox_controls_swipe' => 		1, 
			'lens-photography' . '_ilightbox_controls_slideshow' => 	0 
		), 
		'sitemap' => array( 
			'lens-photography' . '_sitemap_nav' => 			1, 
			'lens-photography' . '_sitemap_categs' => 		1, 
			'lens-photography' . '_sitemap_tags' => 		1, 
			'lens-photography' . '_sitemap_month' => 		1, 
			'lens-photography' . '_sitemap_pj_categs' => 	1, 
			'lens-photography' . '_sitemap_pj_tags' => 		1 
		), 
		'error' => array( 
			'lens-photography' . '_error_color' => 				'#ffffff', 
			'lens-photography' . '_error_bg_color' => 			'rgba(255,255,255,0)', 
			'lens-photography' . '_error_bg_img_enable' => 		1, 
			'lens-photography' . '_error_bg_image' => 			'|' . get_template_directory_uri() . '/theme-vars/theme-style' . CMSMASTERS_THEME_STYLE . '/img/error_bg.jpg', 
			'lens-photography' . '_error_bg_rep' => 			'no-repeat', 
			'lens-photography' . '_error_bg_pos' => 			'top center', 
			'lens-photography' . '_error_bg_att' => 			'scroll', 
			'lens-photography' . '_error_bg_size' => 			'cover', 
			'lens-photography' . '_error_search' => 			1, 
			'lens-photography' . '_error_sitemap_button' => 	1, 
			'lens-photography' . '_error_sitemap_link' => 		'' 
		), 
		'code' => array( 
			'lens-photography' . '_custom_css' => 			'', 
			'lens-photography' . '_custom_js' => 			'', 
			'lens-photography' . '_gmap_api_key' => 		'', 
			'lens-photography' . '_api_key' => 				'', 
			'lens-photography' . '_api_secret' => 			'', 
			'lens-photography' . '_access_token' => 		'', 
			'lens-photography' . '_access_token_secret' => 	'' 
		), 
		'recaptcha' => array( 
			'lens-photography' . '_recaptcha_public_key' => 	'', 
			'lens-photography' . '_recaptcha_private_key' => 	'' 
		) 
	);
	
	
	$settings = apply_filters('lens_photography_settings_element_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



// Theme Settings Single Posts Default Values
if (!function_exists('lens_photography_settings_single_defaults')) {

function lens_photography_settings_single_defaults($id = false) {
	$settings = array( 
		'post' => array( 
			'lens-photography' . '_blog_post_layout' => 		'r_sidebar', 
			'lens-photography' . '_blog_post_title' => 			1, 
			'lens-photography' . '_blog_post_date' => 			1, 
			'lens-photography' . '_blog_post_cat' => 			1, 
			'lens-photography' . '_blog_post_author' => 		1, 
			'lens-photography' . '_blog_post_comment' => 		1, 
			'lens-photography' . '_blog_post_tag' => 			1, 
			'lens-photography' . '_blog_post_like' => 			1, 
			'lens-photography' . '_blog_post_nav_box' => 		1, 
			'lens-photography' . '_blog_post_nav_order_cat' => 	0, 
			'lens-photography' . '_blog_post_share_box' => 		1, 
			'lens-photography' . '_blog_post_author_box' => 	1, 
			'lens-photography' . '_blog_more_posts_box' => 		'popular', 
			'lens-photography' . '_blog_more_posts_count' => 	'3', 
			'lens-photography' . '_blog_more_posts_pause' => 	'5' 
		), 
		'project' => array( 
			'lens-photography' . '_portfolio_project_title' => 			1, 
			'lens-photography' . '_portfolio_project_details_title' => 	esc_html__('Project details', 'lens-photography'), 
			'lens-photography' . '_portfolio_project_date' => 			1, 
			'lens-photography' . '_portfolio_project_cat' => 			1, 
			'lens-photography' . '_portfolio_project_author' => 		1, 
			'lens-photography' . '_portfolio_project_comment' => 		0, 
			'lens-photography' . '_portfolio_project_tag' => 			0, 
			'lens-photography' . '_portfolio_project_like' => 			1, 
			'lens-photography' . '_portfolio_project_link' => 			0, 
			'lens-photography' . '_portfolio_project_share_box' => 		1, 
			'lens-photography' . '_portfolio_project_nav_box' => 		1, 
			'lens-photography' . '_portfolio_project_nav_order_cat' => 	0, 
			'lens-photography' . '_portfolio_project_author_box' => 	1, 
			'lens-photography' . '_portfolio_more_projects_box' => 		'popular', 
			'lens-photography' . '_portfolio_more_projects_count' => 	'4', 
			'lens-photography' . '_portfolio_more_projects_pause' => 	'5', 
			'lens-photography' . '_portfolio_project_slug' => 			'project', 
			'lens-photography' . '_portfolio_pj_categs_slug' => 		'pj-categs', 
			'lens-photography' . '_portfolio_pj_tags_slug' => 			'pj-tags' 
		), 
		'profile' => array( 
			'lens-photography' . '_profile_post_title' => 			1, 
			'lens-photography' . '_profile_post_details_title' => 	esc_html__('Profile details', 'lens-photography'), 
			'lens-photography' . '_profile_post_cat' => 			1, 
			'lens-photography' . '_profile_post_comment' => 		1, 
			'lens-photography' . '_profile_post_like' => 			1, 
			'lens-photography' . '_profile_post_nav_box' => 		1, 
			'lens-photography' . '_profile_post_nav_order_cat' => 	0, 
			'lens-photography' . '_profile_post_share_box' => 		1, 
			'lens-photography' . '_profile_post_slug' => 			'profile', 
			'lens-photography' . '_profile_pl_categs_slug' => 		'pl-categs' 
		) 
	);
	
	
	$settings = apply_filters('lens_photography_settings_single_defaults_filter', $settings);
	
	
	if ($id) {
		return $settings[$id];
	} else {
		return $settings;
	}
}

}



/* Project Puzzle Proportion */
if (!function_exists('lens_photography_project_puzzle_proportion')) {

function lens_photography_project_puzzle_proportion() {
	return 0.7414;
}

}



/* Theme Image Thumbnails Size */
if (!function_exists('lens_photography_get_image_thumbnail_list')) {

function lens_photography_get_image_thumbnail_list() {
	$list = array( 
		'cmsmasters-small-thumb' => array( 
			'width' => 		80, 
			'height' => 	80, 
			'crop' => 		true 
		), 
		'cmsmasters-square-thumb' => array( 
			'width' => 		300, 
			'height' => 	300, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Square', 'lens-photography') 
		), 
		'cmsmasters-blog-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	420, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Masonry Blog', 'lens-photography') 
		), 
		'cmsmasters-project-thumb' => array( 
			'width' => 		580, 
			'height' => 	430, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project', 'lens-photography') 
		), 
		'cmsmasters-project-masonry-thumb' => array( 
			'width' => 		580, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Project', 'lens-photography') 
		), 
		'post-thumbnail' => array( 
			'width' => 		860, 
			'height' => 	500, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Featured', 'lens-photography') 
		), 
		'cmsmasters-masonry-thumb' => array( 
			'width' => 		860, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry', 'lens-photography') 
		), 
		'cmsmasters-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	600, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Full', 'lens-photography') 
		), 
		'cmsmasters-project-full-thumb' => array( 
			'width' => 		1160, 
			'height' => 	600, 
			'crop' => 		true, 
			'title' => 		esc_attr__('Project Full', 'lens-photography') 
		), 
		'cmsmasters-full-masonry-thumb' => array( 
			'width' => 		1160, 
			'height' => 	9999, 
			'title' => 		esc_attr__('Masonry Full', 'lens-photography') 
		) 
	);
	
	
	return $list;
}

}



/* Project Post Type Registration Rename */
if (!function_exists('lens_photography_project_labels')) {

function lens_photography_project_labels() {
	return array( 
		'name' => 					esc_html__('Projects', 'lens-photography'), 
		'singular_name' => 			esc_html__('Project', 'lens-photography'), 
		'menu_name' => 				esc_html__('Projects', 'lens-photography'), 
		'all_items' => 				esc_html__('All Projects', 'lens-photography'), 
		'add_new' => 				esc_html__('Add New', 'lens-photography'), 
		'add_new_item' => 			esc_html__('Add New Project', 'lens-photography'), 
		'edit_item' => 				esc_html__('Edit Project', 'lens-photography'), 
		'new_item' => 				esc_html__('New Project', 'lens-photography'), 
		'view_item' => 				esc_html__('View Project', 'lens-photography'), 
		'search_items' => 			esc_html__('Search Projects', 'lens-photography'), 
		'not_found' => 				esc_html__('No projects found', 'lens-photography'), 
		'not_found_in_trash' => 	esc_html__('No projects found in Trash', 'lens-photography') 
	);
}

}

// add_filter('cmsmasters_project_labels_filter', 'lens_photography_project_labels');


if (!function_exists('lens_photography_pj_categs_labels')) {

function lens_photography_pj_categs_labels() {
	return array( 
		'name' => 					esc_html__('Project Categories', 'lens-photography'), 
		'singular_name' => 			esc_html__('Project Category', 'lens-photography') 
	);
}

}

// add_filter('cmsmasters_pj_categs_labels_filter', 'lens_photography_pj_categs_labels');


if (!function_exists('lens_photography_pj_tags_labels')) {

function lens_photography_pj_tags_labels() {
	return array( 
		'name' => 					esc_html__('Project Tags', 'lens-photography'), 
		'singular_name' => 			esc_html__('Project Tag', 'lens-photography') 
	);
}

}

// add_filter('cmsmasters_pj_tags_labels_filter', 'lens_photography_pj_tags_labels');



/* Profile Post Type Registration Rename */
if (!function_exists('lens_photography_profile_labels')) {

function lens_photography_profile_labels() {
	return array( 
		'name' => 					esc_html__('Profiles', 'lens-photography'), 
		'singular_name' => 			esc_html__('Profiles', 'lens-photography'), 
		'menu_name' => 				esc_html__('Profiles', 'lens-photography'), 
		'all_items' => 				esc_html__('All Profiles', 'lens-photography'), 
		'add_new' => 				esc_html__('Add New', 'lens-photography'), 
		'add_new_item' => 			esc_html__('Add New Profile', 'lens-photography'), 
		'edit_item' => 				esc_html__('Edit Profile', 'lens-photography'), 
		'new_item' => 				esc_html__('New Profile', 'lens-photography'), 
		'view_item' => 				esc_html__('View Profile', 'lens-photography'), 
		'search_items' => 			esc_html__('Search Profiles', 'lens-photography'), 
		'not_found' => 				esc_html__('No Profiles found', 'lens-photography'), 
		'not_found_in_trash' => 	esc_html__('No Profiles found in Trash', 'lens-photography') 
	);
}

}

// add_filter('cmsmasters_profile_labels_filter', 'lens_photography_profile_labels');


if (!function_exists('lens_photography_pl_categs_labels')) {

function lens_photography_pl_categs_labels() {
	return array( 
		'name' => 					esc_html__('Profile Categories', 'lens-photography'), 
		'singular_name' => 			esc_html__('Profile Category', 'lens-photography') 
	);
}

}

// add_filter('cmsmasters_pl_categs_labels_filter', 'lens_photography_pl_categs_labels');

